Name:		yaflight
Version:	0.99.26
Release:	%mkrel 2
Summary:	Yet Another FlightGear Launch Control
License:	GPLv3
Group:		Games/Simulation
Source:		https://bitbucket.org/_pmat_/yaflight/downloads/%{name}-%{version}.tar.xz
Url:		http://yaflight.altervista.org

BuildRequires:	qt5-devel
BuildRequires:	qt5webkitwidgets-devel
BuildRequires:	qttools5
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	yalib-devel

Requires:	flightgear
Suggests:       rsync
Suggests:	yainstall

Conflicts:	%{name}-gtk
Conflicts:	%{name}-qt

Obsoletes:	%{name}-gtk < %{version}
Obsoletes:	%{name}-qt < %{version}
Obsoletes:	%{name} < 0.99.8-3

%description
A tiny, lightweight and simple launch control for FlightGear.
YaFlight is a graphical frontend to allow people to launch FlightGear
easily.

%prep
%setup -q

%build
%qmake_qt5 DATADIR=%{_datadir}/%{name}
%make
pushd languages
lrelease *.ts
popd

%install
install -m 755 -D %{name} %{buildroot}%{_bindir}/%{name}
install -m 755 -D icons/%{name}-logo2013-128px.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/pixmaps
convert icons/%{name}-logo2013-256px.png %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -m 755 -d %{buildroot}%{_datadir}/%{name}/languages
install -m 755 -D languages/*.qm %{buildroot}%{_datadir}/%{name}/languages/

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A gui to launch FlightGear easily
Comment[it]=Una interfaccia grafica per avviare FlightGear facilmente
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.99.26-2.mga4
+ Revision: 531782
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 matteo <matteo> 0.99.26-1.mga4
+ Revision: 465326
- new version 0.99.26
- built against Qt5

* Mon Mar 25 2013 matteo <matteo> 0.99.22-4.mga3
+ Revision: 405207
- fixed tab order

* Sat Mar 09 2013 matteo <matteo> 0.99.22-3.mga3
+ Revision: 401997
- improved French translation

* Sat Mar 02 2013 matteo <matteo> 0.99.22-2.mga3
+ Revision: 401021
- using new icon in desktop menus

* Fri Mar 01 2013 matteo <matteo> 0.99.22-1.mga3
+ Revision: 400909
- new version (it brings minor fixes)
- suggests yainstall
- new stable version

* Wed Feb 06 2013 zezinho <zezinho> 0.99.20-1.mga3
+ Revision: 394780
- new version
  fix heading

* Mon Jan 14 2013 umeabot <umeabot> 0.99.19-2.mga3
+ Revision: 387541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Sun Dec 23 2012 matteo <matteo> 0.99.19-1.mga3
+ Revision: 334138
- new version

* Sun Dec 09 2012 matteo <matteo> 0.99.18-3.mga3
+ Revision: 329056
- fixed menu icon not shown issue

* Sat Dec 01 2012 matteo <matteo> 0.99.18-2.mga3
+ Revision: 324076
- upload wrong source tarball fixed

* Sat Dec 01 2012 matteo <matteo> 0.99.18-1.mga3
+ Revision: 324070
- new version

* Tue Nov 20 2012 matteo <matteo> 0.99.17-1.mga3
+ Revision: 319831
- new version

* Sun Nov 18 2012 matteo <matteo> 0.99.16-1.mga3
+ Revision: 319398
- new minor version

* Wed Nov 07 2012 matteo <matteo> 0.99.15-1.mga3
+ Revision: 316152
- new version

* Mon Nov 05 2012 matteo <matteo> 0.99.14-2.mga3
+ Revision: 314447
- new source tarball from upstream

* Mon Nov 05 2012 matteo <matteo> 0.99.14-1.mga3
+ Revision: 314435
- new version

* Sun Nov 04 2012 matteo <matteo> 0.99.13-1.mga3
+ Revision: 314190
- new version

* Wed Oct 31 2012 matteo <matteo> 0.99.12-1.mga3
+ Revision: 311752
- new version

* Thu Oct 25 2012 matteo <matteo> 0.99.11-1.mga3
+ Revision: 310060
- new version
- using new icon for menus

* Mon Oct 22 2012 matteo <matteo> 0.99.10-1.mga3
+ Revision: 309070
- new version

* Sat Oct 20 2012 matteo <matteo> 0.99.9-1.mga3
+ Revision: 308387
- new version

* Thu Oct 18 2012 matteo <matteo> 0.99.8-4.mga3
+ Revision: 307983
- obsolete versions 0.1

* Wed Oct 17 2012 matteo <matteo> 0.99.8-3.mga3
+ Revision: 307364
- fixed desktop file

* Mon Oct 15 2012 matteo <matteo> 0.99.8-2.mga3
+ Revision: 306775
- fixed wrong requirement

* Mon Oct 15 2012 matteo <matteo> 0.99.8-1.mga3
+ Revision: 305747
- new version

* Tue Oct 09 2012 matteo <matteo> 0.1.14-1.mga3
+ Revision: 303692
- new version

* Fri Sep 14 2012 matteo <matteo> 0.1.13-1.mga3
+ Revision: 293727
- new version

* Thu Sep 06 2012 matteo <matteo> 0.1.12-1.mga3
+ Revision: 288884
- new version

* Sun Aug 26 2012 matteo <matteo> 0.1.11.2-1.mga3
+ Revision: 284260
- new version

* Mon Jul 30 2012 matteo <matteo> 0.1.11-3.mga3
+ Revision: 275878
- new stable version

* Mon Jul 02 2012 matteo <matteo> 0.1.11-2.mga3
+ Revision: 266536
- fixed missing requires gb-qt4-ext
- new sources
- new sources tarball
- new version
- new sources tarball provided by the upstream

* Mon Apr 02 2012 matteo <matteo> 0.1.10-2.mga2
+ Revision: 227823
- fixed bug causing crash (yaflight bug #0001)

* Sun Mar 04 2012 matteo <matteo> 0.1.10-1.mga2
+ Revision: 217959
- new stable version

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.3.mga2
+ Revision: 215916
- fixed missing requirement

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.2.mga2
+ Revision: 215907
- new sources

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.1.mga2
+ Revision: 215835
- new svn version with base support to flightgear 2.6.0 (bug mga#4710)

* Sun Feb 26 2012 matteo <matteo> 0.1.9-1.mga2
+ Revision: 214991
- new release

* Fri Feb 24 2012 matteo <matteo> 0.1.8-3.mga2
+ Revision: 214172
- fixed compiler arguments
- updated packages descriptions
- updated desktop file

* Fri Feb 24 2012 matteo <matteo> 0.1.8-2.mga2
+ Revision: 213616
- fixed wrong descriptions

* Thu Feb 23 2012 matteo <matteo> 0.1.8-1.mga2
+ Revision: 213543
- new release
- using its own icon rather than flightgear icon

* Mon Jan 30 2012 matteo <matteo> 0.1.7-1.mga2
+ Revision: 203156
- new release

* Sun Jan 22 2012 matteo <matteo> 0.1.6-1.mga2
+ Revision: 199828
- new release 0.1.6

* Thu Jan 05 2012 matteo <matteo> 0.1.5-2.mga2
+ Revision: 191947
- added license as doc; spec file reviewed

* Mon Dec 26 2011 matteo <matteo> 0.1.5-1.mga2
+ Revision: 187811
- version upgrade

* Sun Nov 13 2011 matteo <matteo> 0.1.4-1.mga2
+ Revision: 167362
- version upgrade
- imported package yaflight

